Subject: Re: library doesnt work
From: Chris Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 4 Jul 2000 12:10:17 -0400

On Tue, Jul 04, 2000 at 05:04:59PM +0100, David Starks-Browning wrote:
>On Sunday 2 Jul 00, Chris Faylor writes:
>> Hi,
>> 
>> On Sun, Jul 02, 2000 at 10:38:49AM +0200, Meffo Leoni wrote:
>> >I imported a c++ cygwin compiled library in MSVC enviroment but doesnt
>> >work I didnt find any help in the faq , where I can find more
>> >instructions???
>> 
>> If this is, in fact, true, could you add something to the FAQ about this?
>> C++ libraries compiled with MSVC will not work with gcc since the two
>> use different name mangling schemes and MSVC is apparently protected by
>> either copyright or patent or something equally stupid.
>
>The FAQ currently contains the entry:
>
>	Can I mix objects compiled with msvc++ and gcc?
>
>	Yes, but only if you are combining C object files. MSVC C++
>	uses a different mangling scheme than GNU C++, so you will
>	have difficulties combining C++ objects.
>
>Is this good enough?  It doesn't say "stupid".

That's fine.  Apologies for not checking forst.  We obviously shouldn't
say "stupid" in the FAQ.  That was just my editorializing.  :-)

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]